org.apache.ignite.internal.processors.cache

## Class GridCacheGroupIdMessage

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheMessage
  - - org.apache.ignite.internal.processors.cache.GridCacheGroupIdMessage

All Implemented Interfaces:
  Serializable, Message

Direct Known Subclasses:
  GridDhtAffinityAssignmentRequest, GridDhtAffinityAssignmentResponse, GridDhtPartitionDemandLegacyMessage, GridDhtPartitionDemandMessage, GridDhtPartitionSupplyMessage

    public abstract class GridCacheGroupIdMessage
    extends GridCacheMessage

Message related to particular cache group.

See Also:
  Serialized Form

### Field Summary

Fields
`protected int` `grpId` Cache group ID.

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheMessage

`addDepInfo, CACHE_MSG_INDEX_FIELD_NAME, forceAddDepInfo, MAX_CACHE_MSG_LOOKUP_INDEX`

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`GridCacheGroupIdMessage()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `cacheGroupMessage()`
`byte` `fieldsCount()` Gets fields count.
`int` `groupId()`
`int` `handlerId()`
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`String` `toString()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheMessage

`addDeploymentInfo, appendFlag, classError, deployInfo, error, finishUnmarshal, finishUnmarshalCacheObjects, finishUnmarshalCacheObjects, ignoreClassErrors, lookupIndex, marshalCollection, marshalInfo, marshalInfos, marshalInvokeArguments, marshalTx, messageId, messageLogger, nextIndexId, onAckReceived, onClassError, partition, partitionExchangeMessage, prepare, prepareMarshal, prepareMarshalCacheObject, prepareMarshalCacheObjects, prepareMarshalCacheObjects, prepareObject, prepareObject, topologyVersion, transferExpiryPolicy, unmarshalCollection, unmarshalInfo, unmarshalInfos, unmarshalInvokeArguments, unmarshalTx`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`directType`

### Field Detail

#### grpId

    @GridToStringInclude
    protected int grpId

Cache group ID.

### Constructor Detail

#### GridCacheGroupIdMessage

    public GridCacheGroupIdMessage()

### Method Detail

#### groupId

    public int groupId()

Returns:
  Cache group ID.

#### cacheGroupMessage

    public boolean cacheGroupMessage()

Specified by:
  `cacheGroupMessage` in class `GridCacheMessage`
Returns:
  `True` if cache group message.

#### handlerId

    public final int handlerId()

Specified by:
  `handlerId` in class `GridCacheMessage`
Returns:
  ID to distinguish message handlers for the same messages but for different caches/cache groups.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Overrides:
  `fieldsCount` in class `GridCacheMessage`
Returns:
  Fields count.

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                           MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Overrides:
  `writeTo` in class `GridCacheMessage`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                            MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Overrides:
  `readFrom` in class `GridCacheMessage`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridCacheMessage`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019